ch.qos.logback.core.net

## Interface ObjectWriter

All Known Implementing Classes:
  AutoFlushingObjectWriter

    public interface ObjectWriter

Writes objects to an output.

Author:
  Sebastian Gröbler

### Method Summary

Methods
`void` `write(java.lang.Object object)` Writes an object to an output.

### Method Detail

#### write

    void write(java.lang.Object object)
               throws java.io.IOException

Writes an object to an output.

Parameters:
  `object` - the `Object` to write
Throws:
  `java.io.IOException` - in case input/output fails, details are defined by the implementation